CVE-2016-5652

NameCVE-2016-5652
DescriptionAn exploitable heap-based buffer overflow exists in the handling of TIFF images in LibTIFF's TIFF2PDF tool. A crafted TIFF document can lead to a heap-based buffer overflow resulting in remote code execution. Vulnerability can be triggered via a saved TIFF file delivered by other means.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-693-1, DSA-3762-1
NVD severitymedium (attack range: remote)
Debian Bugs842361

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tiff (PTS)wheezy4.0.2-6+deb7u5vulnerable
wheezy (security)4.0.2-6+deb7u16fixed
jessie (security), jessie4.0.3-12.3+deb8u4fixed
stretch (security), stretch4.0.8-2+deb9u1fixed
buster, sid4.0.8-5fixed
tiff3 (PTS)wheezy3.9.6-11fixed
wheezy (security)3.9.6-11+deb7u8fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tiffsource(unstable)4.0.6-3medium842361
tiffsourcejessie4.0.3-12.3+deb8u2mediumDSA-3762-1
tiffsourcewheezy4.0.2-6+deb7u7mediumDLA-693-1
tiff3source(unstable)(unfixed)medium
tiff3sourcewheezy(not affected)

Notes

[wheezy] - tiff3 <not-affected> (Does not ship libtiff tools)
http://www.talosintelligence.com/reports/TALOS-2016-0187/
https://github.com/vadz/libtiff/commit/b5d6803f0898e931cf772d3d0755704ab8488e63

Search for package or bug name: Reporting problems